/*	  First version:  02/04/2016, Yury Vilk. 

   Usage:
	%delete_ext_file(file_name=&infolder_dir.files_done.ok);
    %delete_ext_file(file_name=&infolder_dir.files_done1.ok,  warning_flag=0);
*/

%MACRO 	delete_ext_file(file_name=, warning_flag=0)	 ;

 
 %GLOBAL m_return_cd  DEBUG_FLAG2 ;	

%LOCAL _DEBUG_OPTIONS_L ;
 %LET _DEBUG_OPTIONS_L=%sysfunc(getoption(symbolgen)) %sysfunc(getoption(mprint)) %sysfunc(getoption(mlogic)) %sysfunc(getoption(notes)) %sysfunc(getoption(source)) %sysfunc(getoption(source2));	
 %IF &DEBUG_FLAG2. NE Y %THEN %DO;OPTIONS NOMLOGIC NOMPRINT NOSYMBOLGEN NONOTES NOSOURCE NOSOURCE2; %END;

  %PUT;
   %PUT -----   Start of the macro delete_ext_file. ;
   %PUT;

  		DATA _NULL_;
		  LENGTH  Message $ 500;		  
		      fname="_tmpfile";
		    rc_fref=FILENAME(fname,"&file_name.");
			rc_exist=FEXIST(fname);
				Message=SYSMSG();

		    IF    rc_fref = 0 AND rc_exist=1 		
			THEN DO;
				rc_del=FDELETE(fname);
				Message=SYSMSG();
			IF rc_del=0 THEN  Message="Deleted file &file_name. "	;			
				      END;
			ELSE  Message="Note: File was not deleted because it does not exist."	;
		    rc_fref_clear=FILENAME(fname);

			PUT Message;

   /* IF rc_del NE .  AND  &warning_flag.=1 THEN DO; PUT rc_del=;   PUT Message;  END;	*/
		RUN;

  %PUT;
   %PUT -----   End of the macro delete_ext_file. ;
   %PUT;

		  OPTIONS &_DEBUG_OPTIONS_L.;
%MEND;

  



